#ifndef ODELIB_ICOLLIDABLE_H
#define ODELIB_ICOLLIDABLE_H

#include <k3dsdk/iunknown.h>
#include <ode/ode.h>

#include <vector>

namespace libk3dode
{

class icollidable :
	public virtual k3d::iunknown
{
public:
	typedef std::vector<dGeomID> geoms_t;
	virtual const geoms_t geoms() = 0;
	
protected:
	icollidable() {}
	icollidable(const icollidable&) {}
	icollidable& operator=(const icollidable&) { return *this; }
	virtual ~icollidable() {}
};

} // namespace libk3dode

#endif // !ODELIB_ICOLLIDABLE_H

